
require "tablo"

module Arkisto
  class Action
    def initialize(_config : ConfigModel, _options : ActionOptions)
      # Do nothing by default
      return
    end

    def perform
      # Do nothing by default
      return
    end
  end

  class ActionFactory
    def self.build(action_type : Action.class, config, options)
      action = action_type.new(config, options)
    end
  end
end

require "./actions/*"


